function Show-Menu
{
     param (
           [string]$Title = 'ET Cleaner Menu'
     )
     cls
		Write-Host -ForegroundColor Green "****************************"
		Write-Host -ForegroundColor Green "*ET-Cleaner Script by d-luX*"
		Write-Host -ForegroundColor Green "****************************"
    
		Write-Host "1: Press '1' to clean etmain folder."
		Write-Host "2: Press '2' to clean nitmod folder."
		Write-Host "3: Press '3' to clean etpro folder."
		Write-Host "Q: Press 'Q' to quit."
}

Function etmain{
	New-Item -Path "etmain/backup" -ItemType Directory

	Write-Host -ForegroundColor Yellow "Backup folder created..."

	Move-Item -Path "etmain/mp_bin.pk3" -Destination "etmain/backup/mp_bin.pk3"
	Move-Item -Path "etmain/pak0.pk3" -Destination "etmain/backup/pak0.pk3"
	Move-Item -Path "etmain/pak1.pk3" -Destination "etmain/backup/pak1.pk3"
	Move-Item -Path "etmain/pak2.pk3" -Destination "etmain/backup/pak2.pk3"

	Write-Host -ForegroundColor Yellow "ETMain base files moved to backup folder..."

	Remove-Item -Path "etmain/*.pk3"
	Remove-Item -Path "etmain/*.tmp"

	Write-Host -ForegroundColor Yellow "Custom pk3 files deleted.."

	Move-Item -Path "etmain/backup/mp_bin.pk3" -Destination "etmain/mp_bin.pk3"
	Move-Item -Path "etmain/backup/pak0.pk3" -Destination "etmain/pak0.pk3"
	Move-Item -Path "etmain/backup/pak1.pk3" -Destination "etmain/pak1.pk3"
	Move-Item -Path "etmain/backup/pak2.pk3" -Destination "etmain/pak2.pk3"

	Write-Host -ForegroundColor Yellow "ETMain base files moved back to etmain folder..."

	Remove-Item -Path "etmain/backup"

	Write-Host -ForegroundColor Yellow "Backup folder removed..."
}

Function nitmod{
	Remove-Item -Path "nitmod/*.pk3"
	Remove-Item -Path "nitmod/*.tmp"
	Write-Host -ForegroundColor Yellow "NitMod folder cleaned..."
}

Function etpro{
	Remove-Item -Path "etpro/*.pk3"
	Remove-Item -Path "etpro/*.tmp"
	Write-Host -ForegroundColor Yellow "ETPro folder cleaned..."
}

do
{
     Show-Menu
     $input = Read-Host "Please make a selection"
     switch ($input)
     {
           '1' {
                cls
                etmain
           } '2' {
                cls
                nitmod
           } '3' {
                cls
                etpro
           } 'q' {
                return
           }
     }
     pause
}
until ($input -eq 'q')

pause